KSettings::ComponentsDialog Class Reference
Plugin handling classes | Settings UI classes

`#include <componentsdialog.h>`

Inheritance diagram for KSettings::ComponentsDialog:

## Public Member Functions

| ComponentsDialog (QWidget *parent=0, const char *name=0)
void | addPluginInfo (KPluginInfo *)
void | setPluginInfos (const QMap< QString, KPluginInfo * > &plugininfos)
void | setPluginInfos (const QValueList< KPluginInfo * > &plugins)
void | show ()

## Protected Slots

void | slotOk ()
void | slotApply ()

## Additional Inherited Members

Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

Dialog for selecting which plugins should be active for an application.

Set the list of available plugins with setPluginInfos. The dialog will save the configuration on clicking ok or apply to the applications config file. Connect to the okClicked() and applyClicked() signals to be notified about configuration changes.

Definition at line 40 of file componentsdialog.h.

## Constructor & Destructor Documentation

KSettings::ComponentsDialog::ComponentsDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Create Dialog.

Parameters

  parent | parent widget
  name | name

Definition at line 47 of file componentsdialog.cpp.

## Member Function Documentation

void KSettings::ComponentsDialog::addPluginInfo | ( | KPluginInfo * | info | ) |

Add a plugin that the dialog offers for selection.

Definition at line 88 of file componentsdialog.cpp.

void KSettings::ComponentsDialog::setPluginInfos | ( | const QMap< QString, KPluginInfo * > & | plugininfos | ) |

Set list of plugins the dialog offers for selection.

(Overwrites a previous list)

Definition at line 93 of file componentsdialog.cpp.

void KSettings::ComponentsDialog::setPluginInfos | ( | const QValueList< KPluginInfo * > & | plugins | ) |

Set list of plugins the dialog offers for selection.

(Overwrites a previous list)

Definition at line 103 of file componentsdialog.cpp.

void KSettings::ComponentsDialog::show | ( | void |  | ) |

reimplemented

Definition at line 108 of file componentsdialog.cpp.

The documentation for this class was generated from the following files:

- componentsdialog.h
- componentsdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys